export declare type CoverageRange = {
    start: number;
    end: number;
};
export declare type FileCoverage = {
    url: string;
    ranges: CoverageRange[];
    text: string;
};
export declare type SourceReport = {
    source: string;
    coverage: number;
};
export declare type UnsupportedFileReport = {
    type: 'UNSUPPORTED_FILE';
    url: string;
};
export declare type NoSourceMapFileReport = {
    type: 'NO_SOURCE_MAP';
    url: string;
};
export declare type RegularFileReport = {
    type: 'REPORT';
    url: string;
    results: SourceReport[];
};
export declare type FileReport = UnsupportedFileReport | NoSourceMapFileReport | RegularFileReport;
export declare function check(files: FileCoverage[]): Promise<FileReport[]>;
//# sourceMappingURL=check.d.ts.map